export function getChunkCoordinates3D(x: number, y: number, z: number, chunkSize:number, scale:number) {  
  return {
    chunkX: Math.floor(x / (chunkSize * scale)),
    chunkY: Math.floor(y / (chunkSize * scale)),
    chunkZ: Math.floor(z / (chunkSize * scale)),
  };
}